Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.6.4
Release:        1.28
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		ftp://ftp.suse.com/pub/people/ak/numa/
Source0: 	ftp://ftp.suse.com/pub/people/ak/numa/numactl-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-buildroot

ExcludeArch: s390 s390x

Patch1:	numactl-lib.patch
Patch2: numactl-0.6.4-ppc.patch
Patch3: numactl-0.6.4-commonalias.patch
Patch4: numactl-64bit-overruns.patch
Patch5: numactl-64bit-cpu-mask.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%prep
%setup -q -c -a 0

#
# reduce the number of relocations and PLT entries
#
%patch1

# Support ppc
%patch2

# Fix breakage with aliases to tentatitive common symbols.
%patch3

# Fix breaks that were found when testing for ppc64 support.
%patch4

# Fix cpu mask computation for more than 7 nodes
%patch5

%build
cd numactl-%{version}
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man2
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_libdir}/libnuma.so.1
%{_libdir}/libnuma.so
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_mandir}

%changelog
* Wed Apr 26 2006 Neil Horman <nhorman@redhat.com>
- Add fix for cpu masks for more than 7 nodes

* Mon Jan  9 2006 Neil Horman <nhorman@redhat.com>
- Add ppc64 memory overrun patch (bz 177327)

* Mon Nov 28 2005 Neil Horman <nhorman@redhat.com>
- Remove ppc64 from excluded arch list (bz168651)

* Mon Nov 22 2004 Jason Baron <jbaron@redhat.com>
- Add libnuma.so to libnuma.so.1 symlink

* Wed Nov 10 2004 David Woodhouse <dwmw2@redhat.com>
- Fix build on x86_64

* Thu Oct 21 2004 David Woodhouse <dwmw2@redhat.com>
- Add PPC support

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 
- spec cleanup

* Sat Jun 05 2004 Arjan van de Ven <arjanv@redhat.com>
- initial packaging
